Gtk2::TextTagTable(3)

NAME
Gtk2::TextTagTable

HIERARCHY
  Glib::Object
  +----Gtk2::TextTagTable

INTERFACES
  Gtk2::Buildable

METHODS

  texttagtable = Gtk2::TextTagTable->new

  $table->add ($tag)

•   $tag (Gtk2::TextTag)

  $table->foreach ($callback, $callback_data=undef)

•   $callback (scalar)

•   $callback_data (scalar)

  texttag = $table->lookup ($name)

•   $name (string)

  $table->remove ($tag)

•   $tag (Gtk2::TextTag)

  integer = $table->get_size

SIGNALS

tag-changed (Gtk2::TextTagTable, Gtk2::TextTag, boolean)
tag-added (Gtk2::TextTagTable, Gtk2::TextTag)
tag-removed (Gtk2::TextTagTable, Gtk2::TextTag)

SEE ALSO
Gtk2, Glib::Object

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.